org.keycloak.models.mongo.keycloak.entities

## Class MongoUserSessionEntity

- java.lang.Object
- - org.keycloak.models.entities.AbstractIdentifiableEntity
  - - org.keycloak.models.mongo.keycloak.entities.MongoUserSessionEntity

- All Implemented Interfaces:
    MongoEntity, MongoIdentifiableEntity

      @MongoCollection(collectionName="sessions")
      public class MongoUserSessionEntity
      extends AbstractIdentifiableEntity
      implements MongoIdentifiableEntity

  Author:
    Stian Thorgersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MongoUserSessionEntity()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterRemove(MongoStoreInvocationContext context)` Lifecycle callback, which is called after removal of this object from Mongo.
    `List<String>` | `getAssociatedClientIds()`
    `String` | `getIpAddress()`
    `int` | `getLastSessionRefresh()`
    `String` | `getRealmId()`
    `int` | `getStarted()`
    `String` | `getUser()`
    `void` | `setAssociatedClientIds(List<String> associatedClientIds)`
    `void` | `setIpAddress(String ipAddress)`
    `void` | `setLastSessionRefresh(int lastSessionRefresh)`
    `void` | `setRealmId(String realmId)`
    `void` | `setStarted(int started)`
    `void` | `setUser(String user)`

    - ### Methods inherited from class org.keycloak.models.entities.AbstractIdentifiableEntity

      `equals, getId, hashCode, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.models.mongo.api.MongoIdentifiableEntity

      `getId, setId`

- - ### Constructor Detail

    - #### MongoUserSessionEntity

          public MongoUserSessionEntity()

  - ### Method Detail

    - #### getRealmId

          public String getRealmId()

    - #### setRealmId

          public void setRealmId(String realmId)

    - #### getUser

          public String getUser()

    - #### setUser

          public void setUser(String user)

    - #### getIpAddress

          public String getIpAddress()

    - #### setIpAddress

          public void setIpAddress(String ipAddress)

    - #### getStarted

          public int getStarted()

    - #### setStarted

          public void setStarted(int started)

    - #### getLastSessionRefresh

          public int getLastSessionRefresh()

    - #### setLastSessionRefresh

          public void setLastSessionRefresh(int lastSessionRefresh)

    - #### getAssociatedClientIds

          public List<String> getAssociatedClientIds()

    - #### setAssociatedClientIds

          public void setAssociatedClientIds(List<String> associatedClientIds)

    - #### afterRemove

          public void afterRemove(MongoStoreInvocationContext context)

      Description copied from interface: `MongoIdentifiableEntity`
      Lifecycle callback, which is called after removal of this object from Mongo. It may be useful for triggering removal of wired objects.
      Specified by:
        `afterRemove` in interface `MongoIdentifiableEntity`

Copyright © 2014. All Rights Reserved.